osgVolume::CollectPropertiesVisitor Class Reference

`#include <Property>`

Inheritance diagram for osgVolume::CollectPropertiesVisitor:

## Public Member Functions

| CollectPropertiesVisitor (bool traverseOnlyActiveChildren=true)
virtual void | apply (TransferFunctionProperty &)
virtual void | apply (ScalarProperty &)
virtual void | apply (IsoSurfaceProperty &iso)
virtual void | apply (AlphaFuncProperty &af)
virtual void | apply (MaximumIntensityProjectionProperty &mip)
virtual void | apply (LightingProperty &lp)
virtual void | apply (SampleDensityProperty &sdp)
virtual void | apply (SampleDensityWhenMovingProperty &sdp)
virtual void | apply (SampleRatioProperty &sdp)
virtual void | apply (SampleRatioWhenMovingProperty &sdp)
virtual void | apply (TransparencyProperty &tp)
virtual void | apply (ExteriorTransparencyFactorProperty &tp)
Public Member Functions inherited from osgVolume::PropertyVisitor
| PropertyVisitor (bool traverseOnlyActiveChildren=true)
virtual | ~PropertyVisitor ()
virtual void | apply (Property &)
virtual void | apply (CompositeProperty &)
virtual void | apply (SwitchProperty &)
virtual void | apply (VolumeSettings &)

## Public Attributes

osg::ref_ptr< TransferFunctionProperty > | _tfProperty
osg::ref_ptr< IsoSurfaceProperty > | _isoProperty
osg::ref_ptr< AlphaFuncProperty > | _afProperty
osg::ref_ptr< MaximumIntensityProjectionProperty > | _mipProperty
osg::ref_ptr< LightingProperty > | _lightingProperty
osg::ref_ptr< SampleDensityProperty > | _sampleDensityProperty
osg::ref_ptr< SampleDensityWhenMovingProperty > | _sampleDensityWhenMovingProperty
osg::ref_ptr< SampleRatioProperty > | _sampleRatioProperty
osg::ref_ptr< SampleRatioWhenMovingProperty > | _sampleRatioWhenMovingProperty
osg::ref_ptr< TransparencyProperty > | _transparencyProperty
osg::ref_ptr< ExteriorTransparencyFactorProperty > | _exteriorTransparencyFactorProperty
Public Attributes inherited from osgVolume::PropertyVisitor
bool | _traverseOnlyActiveChildren

## Constructor & Destructor Documentation

## CollectPropertiesVisitor()

osgVolume::CollectPropertiesVisitor::CollectPropertiesVisitor | ( | bool | traverseOnlyActiveChildren = true | ) |

## Member Function Documentation

## apply() [1/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | AlphaFuncProperty & | af | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [2/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | ExteriorTransparencyFactorProperty & | tp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [3/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | IsoSurfaceProperty & | iso | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [4/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | LightingProperty & | lp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [5/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | MaximumIntensityProjectionProperty & | mip | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [6/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | SampleDensityProperty & | sdp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [7/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | SampleDensityWhenMovingProperty & | sdp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [8/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | SampleRatioProperty & | sdp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [9/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | SampleRatioWhenMovingProperty & | sdp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [10/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | ScalarProperty & |  | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [11/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | TransferFunctionProperty & |  | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## apply() [12/12]

virtual void osgVolume::CollectPropertiesVisitor::apply | ( | TransparencyProperty & | tp | ) |

virtual

Reimplemented from osgVolume::PropertyVisitor.

## Member Data Documentation

## _afProperty

osg::ref_ptr<AlphaFuncProperty> osgVolume::CollectPropertiesVisitor::_afProperty

## _exteriorTransparencyFactorProperty

osg::ref_ptr<ExteriorTransparencyFactorProperty> osgVolume::CollectPropertiesVisitor::_exteriorTransparencyFactorProperty

## _isoProperty

osg::ref_ptr<IsoSurfaceProperty> osgVolume::CollectPropertiesVisitor::_isoProperty

## _lightingProperty

osg::ref_ptr<LightingProperty> osgVolume::CollectPropertiesVisitor::_lightingProperty

## _mipProperty

osg::ref_ptr<MaximumIntensityProjectionProperty> osgVolume::CollectPropertiesVisitor::_mipProperty

## _sampleDensityProperty

osg::ref_ptr<SampleDensityProperty> osgVolume::CollectPropertiesVisitor::_sampleDensityProperty

## _sampleDensityWhenMovingProperty

osg::ref_ptr<SampleDensityWhenMovingProperty> osgVolume::CollectPropertiesVisitor::_sampleDensityWhenMovingProperty

## _sampleRatioProperty

osg::ref_ptr<SampleRatioProperty> osgVolume::CollectPropertiesVisitor::_sampleRatioProperty

## _sampleRatioWhenMovingProperty

osg::ref_ptr<SampleRatioWhenMovingProperty> osgVolume::CollectPropertiesVisitor::_sampleRatioWhenMovingProperty

## _tfProperty

osg::ref_ptr<TransferFunctionProperty> osgVolume::CollectPropertiesVisitor::_tfProperty

## _transparencyProperty

osg::ref_ptr<TransparencyProperty> osgVolume::CollectPropertiesVisitor::_transparencyProperty

The documentation for this class was generated from the following file:

- Property